OFDirTabEntry (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts.truetype

## Class OFDirTabEntry

- java.lang.Object
- - org.apache.fop.fonts.truetype.OFDirTabEntry

-     public class OFDirTabEntry
      extends Object

  This class represents an entry to a TrueType font's Dir Tab.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OFDirTabEntry()`
    `OFDirTabEntry(long offset, long length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getChecksum()` Returns the checksum.
    `long` | `getLength()` Returns the length.
    `long` | `getOffset()` Returns the offset.
    `byte[]` | `getTag()` Returns the tag bytes.
    `String` | `getTagString()` Returns the tag bytes.
    `String` | `read(FontFileReader in)` Read Dir Tab.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OFDirTabEntry

          public OFDirTabEntry()

    - #### OFDirTabEntry

          public OFDirTabEntry(long offset,
                               long length)

  - ### Method Detail

    - #### read

          public String read(FontFileReader in)
                      throws IOException

      Read Dir Tab.
      Parameters:
        `in` - font file reader
      Returns:
        tag name
      Throws:
        `IOException` - upon I/O exception

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getChecksum

          public long getChecksum()

      Returns the checksum.
      Returns:
        int

    - #### getLength

          public long getLength()

      Returns the length.
      Returns:
        long

    - #### getOffset

          public long getOffset()

      Returns the offset.
      Returns:
        long

    - #### getTag

          public byte[] getTag()

      Returns the tag bytes.
      Returns:
        byte[]

    - #### getTagString

          public String getTagString()

      Returns the tag bytes.
      Returns:
        byte[]

Copyright © 2025 Apache Software Foundation. All rights reserved.